Page MenuHomePhabricator

1.33.0-wmf.16 deployment blockers
Closed, ResolvedPublicRelease

Details

2019 week 06 1.33-wmf.16 Changes wmf/1.33.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, February 4th:

Monday February 4thTuesday, February 5thWednesday, February 6thThursday, February 7thFriday
SWAT deployments only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.15
Next: 1.33.0-wmf.17

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:26 PM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2019-01-24T21:40:23Z] <twentyafterfour> Finished MediaWiki train for 1.33.0-wmf.14 (T206668) - there is no train next week so I'll be back with wmf.16 (T206670) in two weeks.

mmodell claimed this task.Jan 24 2019, 9:41 PM
hashar added a subscriber: hashar.

Note: the WikibaseQuality MediaWiki extension will not be cut/included ( T208499 ). The extension has been merged in another T205063 and it is no more loaded T205064.

Change 488207 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488207

Change 488207 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488207

Mentioned in SAL (#wikimedia-operations) [2019-02-06T00:47:42Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.33.0-wmf.16 refs T206670

Change 488219 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488219

Change 488219 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488219

Change 488224 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.33.0-wmf.14 refs T206670

https://gerrit.wikimedia.org/r/488224

Change 488224 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.33.0-wmf.14 refs T206670

https://gerrit.wikimedia.org/r/488224

Mentioned in SAL (#wikimedia-operations) [2019-02-06T02:16:57Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.33.0-wmf.14 refs T206670

Change 488225 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488225

Change 488225 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488225

Mentioned in SAL (#wikimedia-operations) [2019-02-06T03:09:41Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.33.0-wmf.16 refs T206670

Mentioned in SAL (#wikimedia-operations) [2019-02-06T03:13:59Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.33.0-wmf.16 refs T206670 (duration: 04m 18s)

Change 488555 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488555

Change 488555 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488555

Mentioned in SAL (#wikimedia-operations) [2019-02-06T20:25:39Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.16 refs T206670

Change 488594 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488594

Change 488594 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/488594

Mentioned in SAL (#wikimedia-operations) [2019-02-06T22:21:59Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.16 refs T206670

Mentioned in SAL (#wikimedia-operations) [2019-02-06T22:22:53Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.33.0-wmf.16 refs T206670 (duration: 00m 53s)

Change 489017 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/489017

Change 489017 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.33.0-wmf.16 refs T206670

https://gerrit.wikimedia.org/r/489017

Mentioned in SAL (#wikimedia-operations) [2019-02-07T21:43:27Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.33.0-wmf.16 refs T206670

mmodell closed this task as Resolved.Feb 12 2019, 5:03 PM